function rv = apply_fraction_or_min( f, n )
    % [function]
    %
    % :param double f: a fraction, positive integer or -1
    % :param double n: an integer
    % :return: a positive integer m<=n. 
    
    % If 0<f<1, m = f*n (rounded to the nearest integer).
    %
    % If f==-1, m = n
    %
    % Otherwise, m = min(f,n)
    
    if f<1
        if f==-1
            rv = n;
        else
            rv = round(f*n,0);
        end
    else 
        rv = min(f,n);
    end
end

