function tf = is_minus1_or_fraction_or_positive_integer( value)
    % [function] This function yields true if *value* is
    %
    %   * -1 (a default value)
    %   * a fraction, i.e. 0 < *value* <1.
    %   * a (strictly) positive integer value,
    %
    % and false otherwise.
    %
    % :param value: the number to be tested.
    % :returns: logical

    if value==-1
        tf = true;
    elseif value<=0 % this excludes zero
        tf = false;
    elseif 0<value && value<1
        tf = true;
    else
        tf = is_integer(value);
    end
end

